Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftAltrnEntry

    java.lang.Object
      com.stc.swift.builder.SwiftOTDBuilderObjAdapter
          com.stc.swift.builder.SwiftAltrnEntry

All Implemented Interfaces:
  SwiftBuilderConstants, SwiftOTDBuilderObject

    public class SwiftAltrnEntry

extends SwiftOTDBuilderObjAdapter
implements SwiftBuilderConstants

this class represents either a Mandatory entry or an Optional entry in a MT description; Update history: 05/24/2006 : QAI 100008 - implement SWIFT HRF parser Added setters in case the information is parsed using another parser (such as HRF reader) and the entry is set from other objects;

Version:
  $Revision: 1.4 $

Field Summary

Fields inherited from interface com.stc.swift.builder.SwiftBuilderConstants
`END_OF_CTRL_POINT, MSG_ABNORM_ADDING_ENTRY_TO_NON_CONTAINER, MSG_ABNORM_ADDING_FIELD_TO_NON_CONTAINER, MSG_ABNORM_ALTRN_FLD_HAS_NO_OPTS, MSG_ABNORM_NO_OPT_ENTRY_FOR_NON_LITERAL, MSG_ABNORM_NON_LITERAL_FLD_HAS_NO_OPTS, MSG_ABNORM_SEQU_INSIDE_ANONYM_SEQU, MSG_ABNORM_SIMPLE_FLD_HAS_MULTI_OPTS, MSG_ERROR_ADDING_ENTRY, MSG_EXPECT_DESCS_IN_FMT, MSG_EXPECT_LINE_START_WITH, MSG_EXPECT_OPT_IN_FMT, MSG_EXPECT_PATTS_IN_FMT, MSG_HREF_NOT_FOUND, MSG_INVALID_FLD_SPEC_PATTERN, MSG_INVALID_FMT_SPEC_WRONG_FLD_CNT, MSG_INVALID_HRF_SPEC_ENTRY, MSG_INVALID_QUALIFIER_ENTRY_7_FLD_EXPECTED, MSG_INVALID_QUALIFIER_ENTRY_FLD_VAL_EXPECTED, MSG_NO_EXPECTED_TAG_FOUND, MSG_NO_FORMAT_ENTRIES_FOUND, MSG_NO_FORMAT_SEC_FOUND, MSG_NOT_HTML_ERROR, MSG_PATTS_DESCS_NOT_MATCH, MSG_SEQU_STACK_UNDERFLOW, MSG_TABLE_CLOSE_NOT_FOUND, MSG_TABLE_HEADER_NOT_FOUND, MSG_TABLE_OPEN_NOT_FOUND, NAME_FLD_SPEC_PAGE, NAME_FMT_SPEC_PAGE, START_OF_CTRL_POINT, STF_ALTRN_CTRL_ATTRIBUTE, STF_ALTRN_ENTRY_ID, STF_ALTRN_IS_OPTIONAL, STF_ALTRN_OPTION_CHOICE, STF_DIFF_LEFT_MARK, STF_DIFF_RIGHT_MARK, STF_DIFF_SEPARATOR, STF_ENTRY_ALTRN, STF_ENTRY_FIELD, STF_ENTRY_LOOP, STF_ENTRY_OPTION, STF_ENTRY_SEQU, STF_FIELD_ENTRY_ID, STF_FIELD_EXPANSION, STF_FIELD_IS_OPTIONAL, STF_FIELD_PATT_ID, STF_FIELD_TAG, STF_FIOPT_ENTRY_ID, STF_FIOPT_FIELD_TAG, STF_FIOPT_IS_OPTIONAL, STF_FIOPT_OPTION_CHOICE, STF_FIOPT_OPTION_EXPANSION, STF_FIOPT_PATT_ID, STF_LOOP_CTRL_ATTRIBUTE, STF_LOOP_ENTRY_ID, STF_LOOP_MAX_OCC, STF_LOOP_MIN_OCC, STF_PATS_DEFAULT_VALUE, STF_PATS_EXISTENCE_CONDITION, STF_PATS_IS_EDITABLE, STF_PATS_IS_OPTIONAL, STF_PATS_IS_VERIFIABLE, STF_PATS_IS_VISIBLE, STF_PATS_MAX_CHAR, STF_PATS_MIN_CHAR, STF_PATS_NB_ROWS, STF_PATS_PROMPT, STF_PATS_ROW_SEPARATOR, STF_PATS_TYPE, STF_PATT_ID_PATS_ID, STF_SEQU_CTRL_ATTRIBUTE, STF_SEQU_ENTRY_ID, STF_SEQU_EXPANSION, STF_SEQU_IS_OPTIONAL, STF_SPACER`

Constructor Summary
`SwiftAltrnEntry(SwiftOTDBuilderObject parent)` Creates a new SwiftAltrnEntry object.

Method Summary
`void` | `buildOtd(com.stc.otd.forest.OtdSerial otdSerial, com.stc.otd.forest.OtdWood otdWood, java.util.Hashtable hash, java.lang.String baseName)`
`void` | `diff(SwiftOTDBuilderObject obj, java.io.PrintWriter writer, boolean coreAttrOnly)`
`void` | `genMap(SwiftOTDBuilderObject obj, java.io.PrintWriter writer)` compare the expansion attribute of `this` and `obj` - if there is one, and output the extractfile's expan if there is a diff
`java.lang.String` | `getAltrnName(java.lang.String baseName)`
`SwiftEntryField` | `getEntry()`
`java.lang.String` | `getID()`
`SwiftOptEntryField` | `getOptEntry()`
`java.lang.String` | `getOptionChoice()`
`SwiftOTDBuilderObject` | `getParent()`
`void` | `parse(java.io.LineNumberReader lnr)`
`void` | `print(java.io.PrintWriter writer)`
`void` | `setEntry(SwiftEntryField entry)` setter for Entry
`void` | `setOptEntry(SwiftOptEntryField entry)` setter for Optional Entry
`void` | `setOptionChoice(java.lang.String choice)` setter for Option Choice flag;
`void` | `setParent(SwiftOTDBuilderObject parent)`

Methods inherited from class com.stc.swift.builder.SwiftOTDBuilderObjAdapter
`calculateRepetitiveInfo, getHRFEntry, getMTType, mapName, print, setHRFEntry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftAltrnEntry

    public SwiftAltrnEntry(SwiftOTDBuilderObject parent)

  Creates a new SwiftAltrnEntry object.

Method Detail

### getOptionChoice

    public java.lang.String getOptionChoice()

### getAltrnName

    public java.lang.String getAltrnName(java.lang.String baseName)

### parse

    public void parse(java.io.LineNumberReader lnr)
               throws SwiftParsingException,
                      java.io.IOException

  Throws:
    `SwiftParsingException`
    `java.io.IOException`

### buildOtd

    public void buildOtd(com.stc.otd.forest.OtdSerial otdSerial,
                         com.stc.otd.forest.OtdWood otdWood,
                         java.util.Hashtable hash,
                         java.lang.String baseName)
                  throws com.stc.otd.builder.OtdBuilderException

  Throws:
    `com.stc.otd.builder.OtdBuilderException`

### setOptEntry

    public void setOptEntry(SwiftOptEntryField entry)

  setter for Optional Entry

  Parameters:
    `entry` -

### getOptEntry

    public SwiftOptEntryField getOptEntry()

### setEntry

    public void setEntry(SwiftEntryField entry)

  setter for Entry

  Parameters:
    `entry` -

### getEntry

    public SwiftEntryField getEntry()

### setOptionChoice

    public void setOptionChoice(java.lang.String choice)

  setter for Option Choice flag;

  Parameters:
    `choice` -

### getParent

    public SwiftOTDBuilderObject getParent()

  Specified by:
    `getParent` in interface `SwiftOTDBuilderObject`
  Overrides:
    `getParent` in class `SwiftOTDBuilderObjAdapter`

### setParent

    public void setParent(SwiftOTDBuilderObject parent)

  Specified by:
    `setParent` in interface `SwiftOTDBuilderObject`
  Overrides:
    `setParent` in class `SwiftOTDBuilderObjAdapter`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `SwiftOTDBuilderObject`
  Overrides:
    `getID` in class `SwiftOTDBuilderObjAdapter`

### print

    public void print(java.io.PrintWriter writer)
               throws java.lang.Exception

  Specified by:
    `print` in interface `SwiftOTDBuilderObject`
  Overrides:
    `print` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

### genMap

    public void genMap(SwiftOTDBuilderObject obj,
                       java.io.PrintWriter writer)
                throws java.lang.Exception

  compare the expansion attribute of `this` and `obj` - if there is one, and output the extractfile's expan if there is a diff

  Specified by:
    `genMap` in interface `SwiftOTDBuilderObject`
  Overrides:
    `genMap` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

### diff

    public void diff(SwiftOTDBuilderObject obj,
                     java.io.PrintWriter writer,
                     boolean coreAttrOnly)
              throws java.lang.Exception

  Specified by:
    `diff` in interface `SwiftOTDBuilderObject`
  Overrides:
    `diff` in class `SwiftOTDBuilderObjAdapter`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.